List Component Assets
curl --request GET \
--url https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/components/{componentId}/assetsimport requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/components/{componentId}/assets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/components/{componentId}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
],
"pagination": {}
}Component Assets
List Component Assets
Retrieve all assets for a component
GET
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
/
{projectId}
/
components
/
{componentId}
/
assets
List Component Assets
Path Parameters
Organization ID
Project ID
Component ID
Query Parameters
Items per page
Cursor for pagination (from previous response)
Filter by MIME type (e.g.,
image/png)Search term for asset name
Filter by tags
Response
Array of asset objects
Pagination information
Example Response
{
"data": [
{
"id": "asset123",
"name": "logo-2x.png",
"type": "image/png",
"url": "https://cdn.metabind.ai/.../logo-2x.png",
"size": 24576,
"status": "active",
"metadata": {
"width": 200,
"height": 100
},
"tags": ["logo", "brand"],
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-20T10:00:00Z"
},
{
"id": "asset456",
"name": "icon-share.svg",
"type": "image/svg+xml",
"url": "https://cdn.metabind.ai/.../icon-share.svg",
"size": 4096,
"status": "active",
"metadata": {},
"tags": ["icon"],
"createdAt": "2024-03-20T11:00:00Z",
"updatedAt": "2024-03-20T11:00:00Z"
}
],
"pagination": {
"lastKey": "eyJwayI6Ik9SR..."
}
}
Code Examples
curl -X GET "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/components/c123/assets" \
-H "Authorization: Bearer YOUR_JWT"
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/components/c123/assets',
{
headers: {
'Authorization': 'Bearer YOUR_JWT'
}
}
);
const { data: assets, pagination } = await response.json();
console.log(`Component has ${assets.length} assets`);
⌘I